Package org.gradle.tooling.model.dsl

# Interface KotlinDslBaseScriptModel

@Incubating public interface KotlinDslBaseScriptModel
This interface describes the Kotlin DSL specific part of `GradleDslBaseScriptModel`.

Since:
  9.2.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<File>`
  `getCompileClassPath()`
  The compilation classpath for Kotlin DSL scripts.
  `List<String>`
  `getImplicitImports()`
  The implicit imports that are added to all Kotlin DSL scripts.
  `List<File>`
  `getScriptTemplatesClassPath()`
  Classpath required to load Kotlin DSL script template classes.
  `List<String>`
  `getTemplateClassNames()`
  Template classes used for interpreting Kotlin DSL scripts.

- ## Method Details

  - ### getScriptTemplatesClassPath

    @Incubating List<File> getScriptTemplatesClassPath()
    Classpath required to load Kotlin DSL script template classes.
    Since:
      9.2.0

  - ### getCompileClassPath

    @Incubating List<File> getCompileClassPath()
    The compilation classpath for Kotlin DSL scripts.
    Since:
      9.2.0

  - ### getImplicitImports

    @Incubating List<String> getImplicitImports()
    The implicit imports that are added to all Kotlin DSL scripts.
    Since:
      9.2.0

  - ### getTemplateClassNames

    @Incubating List<String> getTemplateClassNames()
    Template classes used for interpreting Kotlin DSL scripts.
    Since:
      9.2.0